Skip to main content
GET
Get Environment
Every request requires ?beta=true.

Authorizations

X-Api-Key
string
header
default:sk-ant-local-default
required

OMA workspace API key.

Headers

anthropic-beta
string

Optional header to specify the beta version(s) you want to use.

To use multiple betas, use a comma separated list like beta1,beta2 or specify the header multiple times for each beta.

anthropic-version
string

The version of the OMA API you want to use.

Read more about versioning and our version history here.

Path Parameters

environment_id
string
required

Query Parameters

beta
enum<boolean>
required

Selects the beta API contract for this endpoint. Must be true.

Available options:
true

Response

Successful Response

Unified Environment resource for both cloud and self-hosted environments.

archived_at
string | null
required

RFC 3339 timestamp when environment was archived, or null if not archived

Example:

null

config
CloudConfig · object
required

cloud environment configuration.

Example:
created_at
string
required

RFC 3339 timestamp when environment was created

Example:

"2026-03-15T10:00:00Z"

description
string
required

User-provided description for the environment

Example:

"Python environment with data-analysis packages."

id
string
required

Environment identifier (e.g., 'env_...')

Example:

"env_011CZkZ9X2dpNyB7HsEFoRfW"

metadata
Metadata · object
required

User-provided metadata key-value pairs

Example:
name
string
required

Human-readable name for the environment

Example:

"python-data-analysis"

type
string
default:environment
required

The type of object (always 'environment')

Allowed value: "environment"
Example:

"environment"

updated_at
string
required

RFC 3339 timestamp when environment was last updated

Example:

"2026-03-15T10:00:00Z"

scope
enum<string>

The visibility scope for this environment. 'organization' means visible to all accounts. 'account' means visible only to the owning account.

Available options:
organization,
account